WITH
  item AS (
  SELECT
    item_code,
    item_name,
    department_code,
    division_code,
    T.brand_code,
    brand_name,
    T.category_code,
    category_name
  FROM
    composer.item T
  LEFT OUTER JOIN
    composer.brand S1
  ON
    T.brand_code = S1.brand_code
  LEFT OUTER JOIN
    composer.category S2
  ON
    T.category_code = S2.category_code ),
  store AS (
  SELECT
    store_code,
    store_name,
    prefecture_code,
    zip_code,
    store_category
  FROM
    composer.store )
SELECT
  stock.item_code,
  item_name,
  department_code,
  division_code,
  brand_code,
  brand_name,
  category_code,
  category_name,
  stock.store_code,
  stock_all,
  stock_available,
  stock_reserve,
  cost_price
FROM
  composer.stock
LEFT OUTER JOIN
  item
ON
  stock.item_code = item.item_code
LEFT OUTER JOIN
  store
ON
  stock.store_code = store.store_code